Data Structures | Macros | Typedefs | Functions
gntbutton.h File Reference
GNT (GLib Ncurses Toolkit)

Button API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "gnt.h"`
`#include "gntwidget.h"`

Go to the source code of this file.

## Data Structures
struct | _GntButtonPriv
struct | _GntButton
struct | _GntButtonClass

## Macros
#define | GNT_TYPE_BUTTON (gnt_button_get_gtype())
#define | GNT_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_BUTTON, GntButton))
#define | GNT_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_BUTTON, GntButtonClass))
#define | GNT_IS_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_BUTTON))
#define | GNT_IS_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_BUTTON))
#define | GNT_BUTTON_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_BUTTON, GntButtonClass))

## Typedefs
typedef struct _GntButton | GntButton
typedef struct _GntButtonPriv | GntButtonPriv
typedef struct _GntButtonClass | GntButtonClass

## Functions
G_BEGIN_DECLS GType | gnt_button_get_gtype (void)
GntWidget * | gnt_button_new (const char *text)
| Create a new button. More...

## Detailed Description

Button API.

Definition in file gntbutton.h.

## Function Documentation

## ◆ gnt_button_get_gtype()

G_BEGIN_DECLS GType gnt_button_get_gtype | ( | void |  | ) |

Returns
  GType for Gntbutton

## ◆ gnt_button_new()

GntWidget* gnt_button_new | ( | const char * | text | ) |

Create a new button.

Parameters

  text | The text for the button.

Returns
  The newly created button.